#define SAMPLES 14

//////////////////////////////////
// Attributes
attribute vec4 a_position;
attribute vec2 a_texCoord;

///////////////////////////////////////////////////////////
// Uniforms
uniform mat4 u_worldViewProjectionMatrix;
uniform vec2 points[SAMPLES];

///////////////////////////////////////////////////////////
// Varyings
varying vec2 v_texCoord;
varying vec2 v_sampleCoordinates[SAMPLES];
 
void main()
{
    gl_Position = u_worldViewProjectionMatrix * a_position;
    v_texCoord = (gl_Position.xy + 1.0) / 2.0;
    for (int i = 0; i < SAMPLES; i++) {
       v_sampleCoordinates[i] = ((u_worldViewProjectionMatrix * vec4(points[i], 0.0, 0.0)).xy + 1.0) / 2.0;
    }
}