#ifdef OPENGL_ES
#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif
#endif

///////////////////////////////////////////////////////////
// Uniforms
uniform sampler2D u_texture;
uniform sampler2D u_texture1;
uniform sampler2D u_texture2;
uniform int       u_flip;

///////////////////////////////////////////////////////////
// Varyings
varying vec2 v_texCoord;
varying vec2 v_texCoord1;
varying vec2 v_texCoord2;


void main()
{
    vec3 toHide = texture2D(u_texture, v_texCoord).rgb;
    vec2 v_toShowTexCoord = v_texCoord1;
    if (u_flip != 0)
    {
        v_toShowTexCoord = vec2(v_texCoord1.x, 1.0 - v_texCoord1.y);
    }
    vec3 toShow = texture2D(u_texture1, v_toShowTexCoord).rgb;
    float mask = texture2D(u_texture2, v_texCoord2).g;
    gl_FragColor = vec4(mix(toHide, toShow, mask), 1.0);
}
