#ifdef OPENGL_ES
#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif
#endif

varying vec2 v_texCoord;
uniform sampler2D iChannel0;
uniform vec2       iStepSize;

vec4 denoise2(  in vec2 uv )
{
    
    vec2 offsets[4];
    offsets[0] = vec2( -iStepSize.x, -iStepSize.y);
    offsets[1] = vec2( iStepSize.x, -iStepSize.y);
    offsets[2] = vec2( -iStepSize.x, iStepSize.y);
    offsets[3] = vec2( iStepSize.x, iStepSize.y);
    
    float cur_dev = 9999999999.0;
    vec4 result = vec4(0.5);
    result.a = 1.0;
    
    for( int quad = 0; quad < 4; quad++)
    {
        vec4 sample4 = texture2D( iChannel0, uv + offsets[quad] );
        float deviation = sample4.a;
        if( deviation < cur_dev )
        {
            cur_dev = deviation;
            result.rgb = sample4.rgb;
        }
    }
    
    
    
    return result;
    
}

void main( void ) {        
    gl_FragColor = denoise2( v_texCoord );
}