precision highp float;

uniform sampler2D uTexture;
uniform sampler2D uAlphaMaskTexture;

uniform float uDiscardAlphaValue;
uniform float uMaskAlphaThreshold;

varying vec2 v_texCoord;

void main() {
    vec3 srcColor = texture2D(uTexture, v_texCoord).rgb;
    float maskColor = abs(uDiscardAlphaValue - texture2D(uAlphaMaskTexture, v_texCoord).a);

    if (maskColor > uMaskAlphaThreshold) {
        gl_FragColor = vec4(srcColor, maskColor);
    }
}
