precision highp float;

uniform sampler2D uTexture;
uniform vec2 uTexelSize;
uniform vec4 uEdgeColor;

varying vec2 v_texCoord;

void main() {
    vec4 maskColor = texture2D(uTexture, v_texCoord);
    float minValue = maskColor.a;

    minValue = min(minValue, texture2D(uTexture, v_texCoord + vec2(-uTexelSize.x, 0.0)).a);
    minValue = min(minValue, texture2D(uTexture, v_texCoord + vec2(0.0, uTexelSize.y)).a);
    minValue = min(minValue, texture2D(uTexture, v_texCoord + vec2(uTexelSize.x, 0.0)).a);
    minValue = min(minValue, texture2D(uTexture, v_texCoord + vec2(0.0, -uTexelSize.y)).a);

    gl_FragColor = vec4(maskColor.rgb + ((minValue > 0.46 || maskColor.a < 0.4)
                 ? vec3(0.0) : uEdgeColor.rgb), minValue);
}