#define GAUSSIAN_SAMPLES 9


attribute vec4 a_position;
attribute vec4 a_texCoord;


uniform float texelWidthOffset;
uniform float texelHeightOffset;

varying vec2 textureCoordinate;
varying vec2 blurCoordinates[GAUSSIAN_SAMPLES];

/*
 void main()
 {
 gl_Position = a_position;
 
 blurCoordinates[0] = a_texCoord.xy + vec2(-texelWidthOffset, -texelHeightOffset);
 blurCoordinates[1] = a_texCoord.xy + vec2(0, -texelHeightOffset);
 blurCoordinates[2] = a_texCoord.xy + vec2(texelWidthOffset, -texelHeightOffset);
 blurCoordinates[3] = a_texCoord.xy + vec2(-texelWidthOffset, 0);
 blurCoordinates[4] = a_texCoord.xy;
 blurCoordinates[5] = a_texCoord.xy + vec2(texelWidthOffset, 0);
 blurCoordinates[6] = a_texCoord.xy + vec2(-texelWidthOffset, texelHeightOffset);
 blurCoordinates[7] = a_texCoord.xy + vec2(0, texelHeightOffset);
 blurCoordinates[8] = a_texCoord.xy + vec2(texelWidthOffset, texelHeightOffset);
 }
 */

void main()
{
    gl_Position = a_position;
    textureCoordinate = a_texCoord.xy;
    
    // Calculate the positions for the blur
    int multiplier = 0;
    vec2 blurStep;
    vec2 singleStepOffset = vec2(texelWidthOffset, texelHeightOffset);
    
    for (int i = 0; i < GAUSSIAN_SAMPLES; i++)
    {
        multiplier = (i - ((GAUSSIAN_SAMPLES - 1) / 2));
        // Blur in x (horizontal)
        blurStep = float(multiplier) * singleStepOffset;
        blurCoordinates[i] = a_texCoord.xy + blurStep;
        
    }
}
