#ifdef OPENGL_ES
precision highp float;
#endif

///////////////////////////////////////////////////////////
// Uniforms
uniform sampler2D u_texture;
uniform sampler2D u_toneCurveTexture;
uniform float intensity;

///////////////////////////////////////////////////////////
// Varyings
varying vec2 v_texCoord;


void main()
{

    vec4 textureColor = texture2D(u_texture, v_texCoord);
    float redCurveValue = texture2D(u_toneCurveTexture, vec2(textureColor.r, 0.0)).r;
    float greenCurveValue = texture2D(u_toneCurveTexture, vec2(textureColor.g, 0.0)).g;
    float blueCurveValue = texture2D(u_toneCurveTexture, vec2(textureColor.b, 0.0)).b;
    
    
    gl_FragColor = vec4(mix(textureColor.rgb, vec3(redCurveValue, greenCurveValue, blueCurveValue), intensity), textureColor.a);
   
}


