#ifdef OPENGL_ES
#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif
#endif

uniform sampler2D inputImageTexture;
uniform sampler2D alphaMapTexture;

uniform vec3 uSourceAverageRGB;
uniform vec3 uTargetAverageRGB;
uniform float uUseToneMatching;

varying vec2 vAlphaCoordinate;
varying vec2 textureCoordinate;

void main()
{
    float alpha = texture2D(alphaMapTexture, vAlphaCoordinate).a;
    if(uUseToneMatching > 0.5){
        vec4 sourceRGB = texture2D(inputImageTexture, textureCoordinate);
        vec4 resultColor = vec4(sourceRGB.r * uTargetAverageRGB.r / uSourceAverageRGB.r, sourceRGB.g * uTargetAverageRGB.g / uSourceAverageRGB.g, sourceRGB.b * uTargetAverageRGB.b / uSourceAverageRGB.b, 1.0);
        gl_FragColor = resultColor * alpha;
   }else{
        gl_FragColor = texture2D(inputImageTexture, textureCoordinate) * alpha;
   }
}
