package com.linecorp.line.camera.controller.function.record.action

import android.app.Activity
import android.support.annotation.StringRes
import com.linecorp.line.camera.controller.function.record.GaManager
import com.linecorp.line.camera.controller.function.record.RecordSoundManager
import com.linecorp.line.camera.core.ILineCamera
import com.linecorp.line.camera.model.CameraConstExt

interface RecordAction {
    fun init(activity: Activity?)

    fun stopRecording()

    fun cancelRecording()

    fun takeShortRecord()

    fun takeLongRecord()

    fun cancelCountdown(): Boolean

    fun onChangedGifCameraStatus(recordGifState: CameraConstExt.RecordGifState)

    fun onKeyDown(): Boolean

    fun setLineCamera(lineCamera: ILineCamera)

    fun setIgnoreKeyEvent(ignoreKeyEvent: Boolean)

    fun setSoundManager(recordSoundManager: RecordSoundManager)

    fun getNeedLongPressed(): Boolean

    fun isNeedToCancelRecording(): Boolean

    // TODO
    fun setGaManager(gaManager: GaManager)

    // TODO
    @StringRes
    fun getA11yStrRes(): Int
}