package com.linecorp.line.camera.mode

import com.linecorp.line.camera.mode.gif.OnChangedCameraModeListener
import com.linecorp.line.camera.model.CameraConstExt

class CameraModeManager {
    private var onChangedCameraModeListener: OnChangedCameraModeListener? = null
    var cameraMode: CameraConstExt.CameraMode = CameraConstExt.CameraMode.PHOTO_OR_VIDEO

    fun registerCameraModeListener(onChangedCameraModeListener: OnChangedCameraModeListener) {
        this.onChangedCameraModeListener = onChangedCameraModeListener
    }

    fun updateCameraMode(cameraMode: CameraConstExt.CameraMode) {
        this.cameraMode = cameraMode
        onChangedCameraModeListener?.onChangeCameraMode(cameraMode)
    }

    fun isGifMode(): Boolean {
        return when (cameraMode) {
            CameraConstExt.CameraMode.GIF -> true
            else -> false
        }
    }
}
