package com.linecorp.line.camera.util

import android.app.Activity
import com.linecorp.line.media.R

class StickerFilterAnimationUtils(activity: Activity) {

    var recordingContainerDownOffset = 0f // Translation down
    var recordingContainerUpOffset = -recordingContainerDownOffset // Translation up
    var recordingViewHeightDefault = 0
    var recordingViewHeightSmall = 0

    var listTranslationDownOffset: Float = 0f // Translation down
    var listTranslationUpOffset = -listTranslationDownOffset // Translation up

    var defaultPaddingHeight = 0
    var stickerPaddingHeight = 0
    var filterPaddingHeight = 0

    init {
        recordingContainerDownOffset = activity.resources.getDimensionPixelSize(R.dimen.camera_bottom_recording_button_margin_small).toFloat()
        recordingContainerUpOffset = 0f // work around not to move from the original position
        recordingViewHeightDefault = activity.resources.getDimensionPixelSize(R.dimen.camera_bottom_recording_button_height)
        recordingViewHeightSmall = activity.resources.getDimensionPixelSize(R.dimen.camera_bottom_recording_button_height_small)

        listTranslationDownOffset = activity.resources.getDimensionPixelSize(R.dimen.camera_sticker_list_translation_up_offset).toFloat()
        listTranslationUpOffset = -listTranslationDownOffset

        defaultPaddingHeight = activity.resources.getDimensionPixelSize(R.dimen.camera_bottom_list_padding_height)
        stickerPaddingHeight = activity.resources.getDimensionPixelSize(R.dimen.camera_bottom_list_padding_height_for_sticker)
        filterPaddingHeight = activity.resources.getDimensionPixelSize(R.dimen.camera_bottom_list_padding_height_for_filter)
    }

    companion object {
        const val RECORD_BUTTON_SMALL_SIZE_PERCENT = 0.6f
        const val RECORD_BUTTON_DEFAULT_SIZE_PERCENT = 1.0f

        const val ANIMATION_DURATION_MS = 400L
        const val ANIMATION_ALPHA_DURATION_MS = 500L

        const val ALPHA_VISIBLE_VALUE = 1.0f
        const val ALPHA_GONE_VALUE = 0.0f
    }
}
