package com.linecorp.line.camera.view.record

import android.graphics.Canvas
import com.linecorp.line.camera.view.record.DrawRecordingViewUtils.Companion.PROGRESS_ANIMATION_DURATION

abstract class RecordingAnimation {
    var sweepAngleOffset: Float = 0.toFloat()
    open var valueOnDrawLimit = 0f

    open fun onDraw(canvas: Canvas?, width: Float, height: Float) {
    }

    open fun isOverLimit(): Boolean {
        return true
    }

    open fun updateSweepAngleOffset() {
    }

    open fun getValueOnDrawDelay(): Int {
        return PROGRESS_ANIMATION_DURATION
    }

    open fun updateColor(viewColor: RecordingViewMode.ViewColor) {
    }
}