package com.linecorp.line.media.picker.mode.gif

import com.linecorp.line.common.PickerMediaItem
import com.linecorp.line.media.picker.base.MediaContextScreen
import com.linecorp.line.media.picker.embedded.facade.LineGifMakerFacade
import com.linecorp.line.media.picker.embedded.facade.MediaFacade
import com.linecorp.line.media.picker.embedded.facade.listener.GifMakerFacadeListener
import com.linecorp.line.media.picker.mode.mediaeditor.AbstractMediaEditor
import jp.naver.gallery.android.media.MediaItem
import jp.naver.line.androie.common.access.LineAccessForCommonHelper

class GifMakerFacadeListenerForMixedCameraImpl<Facade : MediaFacade>(val editor: AbstractMediaEditor<Facade>) : GifMakerFacadeListener {
    override fun onGifCreated(item: PickerMediaItem) {
        editor.sendItemPassed(item)
    }

    override fun onGifMakerCanceled() {
        editor.detachGifMaker()
        editor.startCamera()
    }

    override fun onMediaContextAttached(mediaFacade: LineGifMakerFacade) {
    }

    override fun onPermissionDenied() {
    }

    override fun onScreenChanged(screen: MediaContextScreen) {
        LineAccessForCommonHelper.getLineAccess().sendGaScreen(screen.gaScreenName)
    }

    override fun onItemSelectionChanged(mediaItem: MediaItem, isSelected: Boolean) {
    }

    override fun onItemEditDataChanged(mediaItem: MediaItem) {
    }

    override fun onItemSelectionCompleted(mediaItemList: ArrayList<MediaItem>) {
    }

    override fun onImageCacheFileChanged(mediaItem: MediaItem) {
    }
}
