package jp.naver.line.androie.common.theme

import jp.naver.line.androie.common.util.io.StorageUtils
import java.io.File

/**
 * [ThemeFileManager] for a theme applied application wide.
 */
class ApplicationThemeFileManager : ThemeFileManager() {

    @Suppress("DEPRECATION")
    override val loadedThemeDirectory: File
        get() = maybeCreateDirectory(StorageUtils.getAppDataDirectory(), THEME_LOAD_FOLDER)

    @Suppress("DEPRECATION")
    override val jsonFile: File
        get() = File(loadedThemeDirectory, THEME_JSON_FILE)

    @Suppress("DEPRECATION")
    override val loadedImageDirectory: File
        get() = maybeCreateDirectory(StorageUtils.getAppDataDirectory(), THEME_IMAGE_DIRECTORY_PATH)

    @Suppress("DEPRECATION")
    override val loadedTimelineImageDirectory: File
        get() = maybeCreateDirectory(
                StorageUtils.getAppDataDirectory(), THEME_TIMELINE_DIRECTORY_PATH)

    @Suppress("DEPRECATION")
    override val loadedGroupHomeImageDirectory: File
        get() = maybeCreateDirectory(
                StorageUtils.getAppDataDirectory(), THEME_GROUPHOME_DIRECTORY_PATH)

    companion object {
        private val THEME_FOLDER = "theme"
        private val THEME_LOAD_FOLDER = THEME_FOLDER + "/load"
        private val THEME_JSON_FILE = "theme.json"

        private val THEME_IMAGE_DIRECTORY_PATH =
                THEME_LOAD_FOLDER + "/" + ThemeFileManager.THEME_IMAGE_DIRECTORY
        private val THEME_TIMELINE_DIRECTORY_PATH =
                THEME_IMAGE_DIRECTORY_PATH + "/" + ThemeFileManager.THEME_TIMELINE_DIRECTORY
        private val THEME_GROUPHOME_DIRECTORY_PATH =
                THEME_IMAGE_DIRECTORY_PATH + "/" + ThemeFileManager.THEME_GROUPHOME_DIRECTORY
    }
}
