package jp.naver.line.androie.common.theme

/**
 * Enumeration of [ThemeElementKey] that is used on common-libs.
 */
object CommonThemeKeys {
    object Common {
        @JvmField
        val ROOT = arrayOf(ThemeElementKey("view.common", "background"))
    }

    object MainTab {
        val ROOT = arrayOf(ThemeElementKey("main.view.common", "background"))
    }

    object StatusBar {
        @JvmField
        val ROOT = arrayOf(ThemeElementKey("navigationBar", "status.background"))
    }

    object Header {
        @JvmField
        val ROOT = arrayOf(ThemeElementKey("navigationBar", "background"))
        @JvmField
        val TITLE = arrayOf(
                ThemeElementKey("navigationBar", "title.text"),
                ThemeElementKey("navigationBar", "title.button"))
        @JvmField
        val NEW_DOT_ICON = arrayOf(ThemeElementKey("navigationBar", "newDotIcon"))
        @JvmField
        val COUNT_BADGE = arrayOf(
                ThemeElementKey("navigationBar", "badge.count.background"),
                ThemeElementKey("navigationBar", "badge.text"))

        @JvmField
        val BUTTON = arrayOf(
                ThemeElementKey("navigationBar", "button.background"),
                ThemeElementKey("navigationBar", "button.text"),
                ThemeElementKey("navigationBar", "button"))

        @JvmField
        val CHAT_ICON = arrayOf(ThemeElementKey("navigationBar.icon", "chat"))
        @JvmField
        val ADD_FRIEND_ICON = arrayOf(ThemeElementKey("navigationBar.icon", "addfriend"))
        @JvmField
        val WRITE_ICON = arrayOf(ThemeElementKey("navigationBar.icon", "write"))
        @JvmField
        val TOGGLE_MENU_CLOSE_ICON = arrayOf(ThemeElementKey("navigationBar.icon", "optionClosed"))
        @JvmField
        val TOGGLE_MENU_OPEN_ICON = arrayOf(ThemeElementKey("navigationBar.icon", "optionOpen"))
        @JvmField
        val GROUP_CALL_CALLING_ICON = arrayOf(ThemeElementKey("navigationBar.groupcall", "calling"))
        @JvmField
        val GROUP_CALL_LIVE_ICON = arrayOf(ThemeElementKey("navigationBar", "live.icon"))

        val MENU = arrayOf(
                ThemeElementKey("navigationBar.moreMenu", "item.background"),
                ThemeElementKey("navigationBar.moreMenu", "item.text"))
    }

    object SearchBar {
        val ROOT = arrayOf(ThemeElementKey("navigationBar.search", "background"))
        val TEXT = arrayOf(ThemeElementKey("navigationBar.search", "text"))
        val INPUT_FIELD_UNDER_LINE = arrayOf(
                ThemeElementKey("navigationBar.search", "underbar.background"))
        val BACK_ICON = arrayOf(ThemeElementKey("navigationBar.search", "back.icon"))
        val CANCEL_ICON = arrayOf(ThemeElementKey("navigationBar.search", "cancel.icon"))
    }

    object Passcode {
        val ROOT = arrayOf(ThemeElementKey("passcode", "background"))

        val TOP = arrayOf(ThemeElementKey("passcode", "top.background"))
        val TITLE = arrayOf(ThemeElementKey("passcode", "text"))
        val DESCRIPTION = arrayOf(ThemeElementKey("passcode", "infotext"))
        val PASSCODE1_ICON = arrayOf(
                ThemeElementKey("passcode", "passcode1.input"),
                ThemeElementKey("passcode", "passcode1.background"))
        val PASSCODE2_ICON = arrayOf(
                ThemeElementKey("passcode", "passcode2.input"),
                ThemeElementKey("passcode", "passcode2.background"))
        val PASSCODE3_ICON = arrayOf(
                ThemeElementKey("passcode", "passcode3.input"),
                ThemeElementKey("passcode", "passcode3.background"))
        val PASSCODE4_ICON = arrayOf(
                ThemeElementKey("passcode", "passcode4.input"),
                ThemeElementKey("passcode", "passcode4.background"))

        val KEYBOARD_BUTTON = arrayOf(ThemeElementKey("passcode", "number.background"))
        val KEYBOARD_BUTTON_LABEL = arrayOf(ThemeElementKey("passcode", "number.text"))
        val KEYBOARD_BUTTON_CANCEL = arrayOf(ThemeElementKey("passcode", "number.cancel.text"))
        val KEYBOARD_BUTTON_DELETE = arrayOf(ThemeElementKey("passcode", "number.delete"))
    }
}
