package jp.naver.line.androie.common.theme

import android.support.annotation.IdRes

/**
 * Constructs [ThemeElementMappingData].
 *
 * @see ThemeElementMappingData.Builder
 */
fun themeElementMappingDataOf(
        @IdRes resourceId: Int,
        vararg elementKeys: ThemeElementKey = arrayOf(),
        mappingTargets: Set<ThemeElementValueType>? = null,
        defaultValue: ThemeElementDefaultValue? = null
): ThemeElementMappingData = ThemeElementMappingData
        .Builder(resourceId)
        .addElementKey(*elementKeys)
        .apply {
            mappingTargets?.toTypedArray()?.let {
                addMappingTarget(*it)
            }
        }
        .setDefaultValue(defaultValue)
        .build()
