package jp.naver.line.androie.common.theme

import android.util.Log

import jp.naver.android.common.BuildConfig
import jp.naver.line.androie.common.helper.ToastHelper
import jp.naver.line.androie.dexinterface.nelo2.NELO2Wrapper

/**
 * A report utility class when an error happens while loading theme or applying theme. This reports
 * by means of NELO log, toast and debug logging.
 */
object ThemeErrorReportUtil {
    private val TAG = "ThemeError"

    @JvmStatic
    fun report(message: String, location: String, exception: Exception) {
        NELO2Wrapper.warn(exception, TAG, message, location)
        if (BuildConfig.DEBUG) {
            ToastHelper.show(message)
            Log.w(TAG, message, exception)
        }
    }
}
