package jp.naver.line.androie.common.view

import android.content.res.ColorStateList

/**
 * Alternative interface of
 * [TintableImageSourceView][android.support.v4.widget.TintableImageSourceView] for a view which is
 * not [ImageView][android.widget.ImageView].
 *
 * Because methods of `TintableImageSourceView` are accessible only by
 * [ImageViewCompat][android.support.v4.widget.ImageViewCompat] and it requires `ImageView`.
 * This interface enables an `ImageView` like custom view to tint with [ColorStateList] for pre-L
 * Android versions.
 */
interface ImageTintable {
    fun tintImage(colors: ColorStateList)
}
