package jp.naver.line.androie.common.view

import android.content.Context
import android.support.v7.widget.AppCompatImageView
import android.util.AttributeSet

/**
 * [AppCompatImageView] with workaround of a bug with AppCompat tint. If we use
 * [android.content.res.ColorStateList] for tint image or background with a Marshmallow device, this
 * handles the state change correctly. For more details, see [ImageViewTintWorkaroundUtil].
 */
class TintableImageView @JvmOverloads constructor(
        context: Context,
        attrs: AttributeSet? = null,
        defStyleAttr: Int = 0
) : AppCompatImageView(context, attrs, defStyleAttr) {
    override fun drawableStateChanged() {
        super.drawableStateChanged()
        ImageViewTintWorkaroundUtil.onDrawableStateChanged(this)
    }
}
