package jp.naver.line.androie.util

import android.content.Context
import android.content.res.TypedArray
import android.util.AttributeSet

/**
 * Executes the given [block] function with [TypedArray] retrieved from [AttributeSet] and then
 * recycle the TypedArray.
 */
fun AttributeSet.runWithTypedArray(
        context: Context,
        attrs: IntArray,
        defStyleAttr: Int = 0,
        defStyleRes: Int = 0,
        block: (TypedArray) -> Unit) {
    val typedArray = context.obtainStyledAttributes(this, attrs, defStyleAttr, defStyleRes)
    block(typedArray)
    typedArray.recycle()
}
